package com.compdfkit.tools.utils.glide;

import android.content.Context;
import android.graphics.Bitmap;

import androidx.annotation.NonNull;

import com.bumptech.glide.Glide;
import com.bumptech.glide.Registry;
import com.bumptech.glide.annotation.GlideModule;
import com.bumptech.glide.module.AppGlideModule;
import com.compdfkit.tools.utils.glide.pdf.CPDFModelLoader;
import com.compdfkit.tools.utils.glide.pdf.CPDFWrapper;

@GlideModule
public class CPDFGlideModule extends AppGlideModule {

    @Override
    public boolean isManifestParsingEnabled() {
        return false;
    }

    @Override
    public void registerComponents(@NonNull Context context, @NonNull Glide glide, @NonNull Registry registry) {
        registry.append(CPDFWrapper.class, Bitmap.class, new CPDFModelLoader.Factory(context));
    }

}
