/**
 * Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
 *
 * THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
 * AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
 * UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
 * This notice may not be removed from this file.
 */

package com.compdfkit.tools.pdfmore.bean;

import androidx.annotation.StringRes;


public class CMoreMenuBean {

    public static final int MENU_DOCUMENT_INFO = 1;
    public static final int MENU_READER_SETTINGS = 2;

    public CMoreMenuBean(int menuType,@StringRes int titleResId){
        this.menuType = menuType;
        this.titleResId = titleResId;
    }

    private int menuType;

    @StringRes
    private int titleResId;

    public int getMenuType() {
        return menuType;
    }

    public void setMenuType(int menuType) {
        this.menuType = menuType;
    }

    public int getTitleResId() {
        return titleResId;
    }

    public void setTitleResId(int titleResId) {
        this.titleResId = titleResId;
    }
}
